"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const child_process_1 = require("child_process");
function execute(repo, args, options = {}) {
    const res = child_process_1.spawnSync('git', Array.from(args), Object.assign(Object.assign({}, options), { encoding: 'utf8', cwd: repo }));
    const { error, status, signal, stderr, stdout } = res;
    if (error)
        throw error;
    if (status) {
        throw new execute.ExecutionError(status, signal, stderr);
    }
    return stdout;
}
exports.execute = execute;
(function (execute) {
    class ExecutionError extends Error {
        constructor(status, signal, stderr) {
            super(`Status code is ${status}, signal is ${signal}`);
            this.name = 'ExecutionError';
            this.status = status;
            this.signal = signal;
            this.stderr = stderr;
        }
    }
    execute.ExecutionError = ExecutionError;
})(execute = exports.execute || (exports.execute = {}));
exports.default = execute;
//# sourceMappingURL=git-cli.js.map